<?php
class vcj_contact_form_7 extends WPBakeryShortCode {

    function __construct() {
        add_action( 'init', array( $this, '_mapping' ) );
        add_shortcode( 'vcj_contact_form_7', array( $this, '_html' ) );
    }

    public function _mapping() {
        if ( !defined( 'WPB_VC_VERSION' ) ) { return; }
        $forms = array();
        $get_forms = new WP_Query( array( 'post_type' => 'wpcf7_contact_form', 'post_per_page' => -1 ) );
        if( $get_forms->have_posts() ) :
            while ( $get_forms->have_posts() ) : $get_forms->the_post();
                $forms[get_the_title()] = get_the_ID();
            endwhile;
        endif;

        vc_map( array (
            'name' => 'Contact Form 7',
            'base' => 'vcj_contact_form_7',
            'description' => 'Place Contact Form 7',
            'category' => 'Jevelin Elements',
            'params' => array(

                array (
                    'param_name' => 'form_id',
                    'heading' => 'Select Form',
                    'description' => 'Select your Contact Form 7 form.<br />New form can be created <a target="_blank" href="'. admin_url( 'admin.php?page=wpcf7' ) .'">here</a>',
                    'value' => $forms,
                    'type' => 'dropdown',
                ),

                array (
                    'param_name' => 'style',
                    'heading' => 'Style',
                    'description' => 'Select main style',
                    'value' =>
                    array (
                        'Standard' => 'style1',
                        'Standard (round corners)' => 'style1 round',
                        'Input Round Edges (2px border)' => 'style2',
                        'Input Center Text' => 'style3',
                        'Bottom Line with simple submit button' => 'style4',
                        'Bottom Line with submit button in accent color' => 'style4 style6',
                        'Dark line' => 'style5',
                    ),
                    'type' => 'dropdown',
                    'std' => 'style1',
                ),

                array (
                    'param_name' => 'layout',
                    'heading' => 'layout',
                    'description' => 'Select form layout',
                    'value' =>
                    array (
                        'Default' => 'default',
                        'Inline (all fields in one line)' => 'inline',
                    ),
                    'type' => 'dropdown',
                    'std' => 'default',
                ),




                array (
                    'param_name' => 'input_text_alignment',
                    'heading' => 'Text Alignment',
                    'value' => array (
                        'Default' => 'default',
                        'Left' => 'left',
                        'Center' => 'center',
                        'Right' => 'right',
                    ),
                    'type' => 'dropdown',
                    'std' => 'default',
                    'group' => __( 'Input Fields', 'jevelin' ),
                ),

                array (
                    'param_name' => 'input_margin_top',
                    'heading' => __( 'Top Margin', 'jevelin' ),
                    'description' => __( 'Enter top margin (Note: CSS measurement units allowed).', 'jevelin' ),
                    'type' => 'textfield',
                    'std' => '',
                    'edit_field_class' => 'vc_col-xs-6',
                    'group' => __( 'Input Fields', 'jevelin' ),
                ),

                array (
                    'param_name' => 'input_margin',
                    'heading' => __( 'Bottom Margin', 'jevelin' ),
                    'description' => __( 'Enter bottom margin (Note: CSS measurement units allowed).', 'jevelin' ),
                    'type' => 'textfield',
                    'std' => '',
                    'edit_field_class' => 'vc_col-xs-6',
                    'group' => __( 'Input Fields', 'jevelin' ),
                ),

                array (
                    'param_name' => 'input_height',
                    'heading' => __( 'Field Height', 'jevelin' ),
                    'description' => __( 'Enter input field height (Note: CSS measurement units allowed).', 'jevelin' ),
                    'type' => 'textfield',
                    'std' => '',
                    'edit_field_class' => 'vc_col-xs-6',
                    'group' => __( 'Input Fields', 'jevelin' ),
                ),

                array (
                    'param_name' => 'input_border_color',
                    'heading' => 'Border Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Input Fields', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),



                array(
                    'param_name' => 'submit_font_size',
                    'heading' => __( 'Font Size', 'jevelin' ),
                    'description' => __( 'Enter submit button font size (Note: CSS measurement units allowed).', 'jevelin' ),
                    'type' => 'textfield',
                    'group' => __( 'Submit Button', 'jevelin' ),
                ),

                array (
                    'param_name' => 'submit_text_transform',
                    'heading' => 'Text Transformation',
                    'value' => array (
                        'Default' => 'default',
                        'None' => 'none',
                        'Uppercase' => 'uppercase',
                        'Lowercase' => 'lowercase',
                        'Capitalize' => 'capitalize',
                    ),
                    'type' => 'dropdown',
                    'std' => 'default',
                    'group' => __( 'Submit Button', 'jevelin' ),
                ),

                array (
                    'param_name' => 'submit_background_color',
                    'heading' => 'Background Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Submit Button', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),

                array (
                    'param_name' => 'submit_background_hover_color',
                    'heading' => 'Background Hover Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Submit Button', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),

                array (
                    'param_name' => 'submit_text_color',
                    'heading' => 'Text Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Submit Button', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),

                array (
                    'param_name' => 'submit_text_hover_color',
                    'heading' => 'Text Hover Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Submit Button', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),

                array (
                    'param_name' => 'submit_border_color',
                    'heading' => 'Border Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Submit Button', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),

                array (
                    'param_name' => 'submit_border_hover_color',
                    'heading' => 'Border Color',
                    'type' => 'colorpicker',
                    'group' => __( 'Submit Button', 'jevelin' ),
                    'edit_field_class' => 'vc_col-xs-6',
                ),

                array (
                    'param_name' => 'submit_alignment',
                    'heading' => 'Alignment',
                    'value' => array (
                        'Default' => 'default',
                        'Left' => 'left',
                        'Center' => 'center',
                        'Right' => 'right',
                    ),
                    'type' => 'dropdown',
                    'std' => 'default',
                    'edit_field_class' => 'vc_col-xs-6',
                    'group' => __( 'Submit Button', 'jevelin' ),
                ),

                array (
                    'param_name' => 'submit_mobile_alignment',
                    'heading' => 'Mobile Alignment',
                    'value' => array (
                        'Default' => 'default',
                        'Left' => 'left',
                        'Center' => 'center',
                        'Right' => 'right',
                    ),
                    'type' => 'dropdown',
                    'std' => 'default',
                    'edit_field_class' => 'vc_col-xs-6',
                    'group' => __( 'Submit Button', 'jevelin' ),
                ),


                array (
                    'param_name' => 'submit_width',
                    'heading' => 'Width',
                    'value' => array (
                        'Default' => 'default',
                        'Inline' => 'inline',
                        'Full' => 'full',
                    ),
                    'type' => 'dropdown',
                    'std' => 'default',
                    'edit_field_class' => 'vc_col-xs-6',
                    'group' => __( 'Submit Button', 'jevelin' ),
                ),

            ),
        ));
    }

    public function _html( $atts, $content ) {
        $style = ( isset( $atts['style'] ) && $atts['style'] ) ? $atts['style'] : 'style1';
        $layout = ( isset( $atts['layout'] ) && $atts['layout'] ) ? $atts['layout'] : 'default';
        $form_id = ( isset( $atts['form_id'] ) && $atts['form_id'] > 0 ) ? $atts['form_id'] : '';


        $input_border_color = ( isset( $atts['input_border_color'] ) ) ? $atts['input_border_color'] : '';
        $input_text_alignment = ( isset( $atts['input_text_alignment'] ) ) ? $atts['input_text_alignment'] : 'default';
        $submit_width = ( isset( $atts['submit_width'] ) ) ? $atts['submit_width'] : 'default';
        $input_margin_top = ( isset( $atts['input_margin_top'] ) ) ? $atts['input_margin_top'] : '';
        $input_margin = ( isset( $atts['input_margin'] ) ) ? $atts['input_margin'] : '';
        $input_height = ( isset( $atts['input_height'] ) ) ? $atts['input_height'] : '';

        $submit_alignment = ( isset( $atts['submit_alignment'] ) ) ? $atts['submit_alignment'] : 'default';
        $submit_mobile_alignment = ( isset( $atts['submit_mobile_alignment'] ) ) ? $atts['submit_mobile_alignment'] : 'default';
        $submit_background_color = ( isset( $atts['submit_background_color'] ) && $atts['submit_background_color'] ) ? $atts['submit_background_color'] : '';
        $submit_background_hover_color = ( isset( $atts['submit_background_hover_color'] ) && $atts['submit_background_hover_color'] ) ? $atts['submit_background_hover_color'] : '';
        $submit_text_color = ( isset( $atts['submit_text_color'] ) && $atts['submit_text_color'] ) ? $atts['submit_text_color'] : '';
        $submit_text_hover_color = ( isset( $atts['submit_text_hover_color'] ) && $atts['submit_text_hover_color'] ) ? $atts['submit_text_hover_color'] : '';
        $submit_border_color = ( isset( $atts['submit_border_color'] ) && $atts['submit_border_color'] ) ? $atts['submit_border_color'] : '';
        $submit_border_hover_color = ( isset( $atts['submit_border_hover_color'] ) && $atts['submit_border_hover_color'] ) ? $atts['submit_border_hover_color'] : '';

        $submit_font_size = ( isset( $atts['submit_font_size'] ) && $atts['submit_font_size'] ) ? $atts['submit_font_size'] : '';
        $submit_text_transform = ( isset( $atts['submit_text_transform'] ) && $atts['submit_text_transform'] ) ? $atts['submit_text_transform'] : 'default';

        $element_class = array();
        if( $input_text_alignment != 'default' ) :
            $element_class[] = 'sh-cf7-text-align-'.$input_text_alignment;
        endif;

        if( $submit_alignment != 'default' ) :
            $element_class[] = 'sh-cf7-submit-align-'.$submit_alignment;
        endif;

        if( $submit_mobile_alignment != 'default' ) :
            $element_class[] = 'sh-cf7-text-mobile-align-'.$submit_mobile_alignment;
        endif;

        if( $submit_width != 'default' ) :
            $element_class[] = 'sh-cf7-submit-width-'.$submit_width;
        endif;
        ob_start(); ?>

            <?php if( $submit_background_color || $submit_text_color || $input_margin || $input_margin_top ) : ?>
                <style media="screen">
                    #cf7-<?php echo intval( $form_id ); ?> .wpcf7-submit {
                        <?php if( $submit_text_color )  :?>
                            color: <?php echo esc_attr( $submit_text_color ); ?>!important;
                        <?php endif; ?>

                        <?php if( $submit_background_color )  :?>
                            background-color: <?php echo esc_attr( $submit_background_color ); ?>!important;
                        <?php endif; ?>

                        <?php if( $submit_font_size ) : ?>
                            font-size: <?php echo esc_attr( $submit_font_size ); ?>!important;
                        <?php endif; ?>

                        <?php if( $submit_text_transform && $submit_text_transform != 'default' ) : ?>
                            text-transform: <?php echo esc_attr( $submit_text_transform ); ?>;
                        <?php endif; ?>

                        <?php if( $submit_border_color || $submit_background_color ) : ?>
                            <?php if( $submit_border_color ) : ?>
                                border-color: <?php echo esc_attr( $submit_border_color ); ?>;
                            <?php elseif( $submit_background_color ) : ?>
                                border-color: <?php echo esc_attr( $submit_background_color ); ?>;
                            <?php else : ?>
                                border-color: inherit;
                            <?php endif; ?>

                            border-width: 2px;
                            border-style: solid;
                        <?php endif; ?>
                    }


                    <?php if( $input_border_color ) : ?>
                        #cf7-<?php echo intval( $form_id ); ?> input,
                        #cf7-<?php echo intval( $form_id ); ?> select,
                        #cf7-<?php echo intval( $form_id ); ?> textarea {
                            border-color: <?php echo esc_attr( $input_border_color ); ?>;
                        }
                    <?php endif; ?>


                    <?php if( $input_height ) : ?>
                        #cf7-<?php echo intval( $form_id ); ?> input:not([type="submit"]),
                        #cf7-<?php echo intval( $form_id ); ?> select {
                            line-height: <?php echo esc_attr( $input_height ); ?>!important;
                        }

                        <?php if( is_numeric( strpos( $input_height, "px") ) ) : ?>
                            #cf7-<?php echo intval( $form_id ); ?> textarea {
                                padding-top: <?php echo esc_attr( ( intval( $input_height ) / 2 ) - 13 ); ?>px!important;
                                padding-bottom: <?php echo esc_attr( ( intval( $input_height ) / 2 ) - 13 ); ?>px!important;
                            }
                        <?php endif; ?>
                    <?php endif; ?>


                    <?php if( $submit_text_hover_color || $submit_background_hover_color || $submit_border_hover_color ) : ?>
                        #cf7-<?php echo intval( $form_id ); ?> .wpcf7-submit:hover,
                        #cf7-<?php echo intval( $form_id ); ?> .wpcf7-submit:focus {
                            <?php if( $submit_text_hover_color ) : ?>
                                color: <?php echo esc_attr( $submit_text_hover_color ); ?>!important;
                            <?php endif; ?>

                            <?php if( $submit_background_hover_color ) : ?>
                                background-color: <?php echo esc_attr( $submit_background_hover_color ); ?>!important;
                            <?php endif; ?>

                            <?php if( $submit_border_hover_color ) : ?>
                                border-color: <?php echo esc_attr( $submit_border_hover_color ); ?>;
                            <?php endif; ?>
                        }
                    <?php endif; ?>


                    <?php if( $input_margin || $input_margin_top ) : ?>
                        #cf7-<?php echo intval( $form_id ); ?>:not(.sh-cf7-layout-inline)  .wpcf7-form-control-wrap {
                            <?php if( $input_margin ) : ?>
                        	    margin-bottom: <?php echo esc_attr( $input_margin ); ?>!important;
                            <?php endif; ?>

                            <?php if( $input_margin_top ) : ?>
                        	    margin-top: <?php echo esc_attr( $input_margin_top ); ?>!important;
                            <?php endif; ?>
                        }
                    <?php endif; ?>
                </style>
            <?php endif; ?>

            <div id="cf7-<?php echo intval( $form_id ); ?>" class="sh-cf7 sh-cf7-wpbakery sh-cf7-<?php echo esc_attr( $style ); ?> sh-cf7-layout-<?php echo esc_attr( $layout ); ?> <?php echo esc_attr( implode( ' ', $element_class ) ); ?>">
                <?php
                    if( $form_id > 0 && shortcode_exists( 'contact-form-7' ) ) :
                        echo do_shortcode( '[contact-form-7 id="'.intval( $form_id ).'" title="Subscribe"]' );
                    endif;
                ?>
            </div>

        <?php return ob_get_clean();
    }
}

new vcj_contact_form_7();
